3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $res = false; @preg_replace("/test/e\x00ing/i",'$res = true;',"test"); if(false===$res)echo 'Not '; echo "Vulnerable, PHP ".phpversion().";
Output for 5.4.0 - 5.4.17
Parse error: syntax error, unexpected end of file, expecting variable (T_VARIABLE) or ${ (T_DOLLAR_OPEN_CURLY_BRACES) or {$ (T_CURLY_OPEN) in /in/tdXpu on line 5
Process exited with code 255.
Output for 5.3.0 - 5.3.27
Parse error: syntax error, unexpected $end, expecting T_VARIABLE or T_DOLLAR_OPEN_CURLY_BRACES or T_CURLY_OPEN in /in/tdXpu on line 5
Process exited with code 255.